/api-keys (POST)
POST
/api-keys
const url = 'https://example.com/api/v1/api-keys';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"name":"example","scopes":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/api-keys \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "scopes": [ "example" ] }'Request Body required
Section titled “Request Body required ” Media type application/json
object
name
required
string
scopes
Array<string>
Example generated
{ "name": "example", "scopes": [ "example" ]}Responses
Section titled “ Responses ”Default Response
Media type application/json
object
Example generated
{ "key": { "id": "example", "name": "example", "scopes": [ "example" ], "lastUsedAt": "2026-04-15T12:00:00Z", "createdAt": "2026-04-15T12:00:00Z" }, "token": "example"}Default Response
Media type application/json
object
type
required
string
title
required
string
status
required
integer
code
required
string
detail
string
instance
string
errors
Array<object>
object
path
required
string
message
required
string
Example generated
{ "type": "example", "title": "example", "status": 1, "code": "example", "detail": "example", "instance": "example", "errors": [ { "path": "example", "message": "example" } ]}